org.jboss.jca.adapters.jdbc.jdk8

## Class WrappedStatementJDK8

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.JBossWrapper
  - - org.jboss.jca.adapters.jdbc.WrappedStatement
    - - org.jboss.jca.adapters.jdbc.jdk8.WrappedStatementJDK8

- All Implemented Interfaces:
    java.io.Serializable, java.lang.AutoCloseable, java.sql.Statement, java.sql.Wrapper, StatementAccess

      public class WrappedStatementJDK8
      extends WrappedStatement

  WrappedStatementJDK8.
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.adapters.jdbc.WrappedStatement

      `defaultFetchSize, doLocking, jndiName, spy, spyLogger, spyLoggingCategory`

    - ### Fields inherited from class org.jboss.jca.adapters.jdbc.JBossWrapper

      `bundle`

    - ### Fields inherited from interface java.sql.Statement

      `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrappedStatementJDK8(WrappedConnectionJDK8 lc, java.sql.Statement s, boolean spy, java.lang.String jndiName, boolean doLocking)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long[]` | `executeLargeBatch()`
    `long` | `executeLargeUpdate(java.lang.String sql)`
    `long` | `executeLargeUpdate(java.lang.String sql, int autoGeneratedKeys)`
    `long` | `executeLargeUpdate(java.lang.String sql, int[] columnIndexes)`
    `long` | `executeLargeUpdate(java.lang.String sql, java.lang.String[] columnNames)`
    `long` | `getLargeMaxRows()`
    `long` | `getLargeUpdateCount()`
    `void` | `setLargeMaxRows(long max)`
    `protected WrappedResultSet` | `wrapResultSet(java.sql.ResultSet resultSet, boolean spy, java.lang.String jndiName, boolean doLocking)` Wrap ResultSet

    - ### Methods inherited from class org.jboss.jca.adapters.jdbc.WrappedStatement

      `addBatch, cancel, checkConfiguredQueryTimeout, checkException, checkState, checkTransaction, checkTransactionActive, clearBatch, clearWarnings, close, closeOnCompletion, closeResultSets, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUnderlyingStatement, getUpdateCount, getWarnings, getWrappedObject, internalClose, isClosed, isCloseOnCompletion, isPoolable, lock, registerResultSet, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unlock, unregisterResultSet`

    - ### Methods inherited from class org.jboss.jca.adapters.jdbc.JBossWrapper

      `isWrapperFor, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Constructor Detail

    - #### WrappedStatementJDK8

          public WrappedStatementJDK8(WrappedConnectionJDK8 lc,
                                      java.sql.Statement s,
                                      boolean spy,
                                      java.lang.String jndiName,
                                      boolean doLocking)

      Constructor
      Parameters:
        `lc` - The connection
        `s` - The statement
        `spy` - The spy value
        `jndiName` - The jndi name
        `doLocking` - Do locking

  - ### Method Detail

    - #### wrapResultSet

          protected WrappedResultSet wrapResultSet(java.sql.ResultSet resultSet,
                                                   boolean spy,
                                                   java.lang.String jndiName,
                                                   boolean doLocking)

      Wrap ResultSet
      Specified by:
        `wrapResultSet` in class `WrappedStatement`
      Parameters:
        `resultSet` - The ResultSet
        `spy` - The spy value
        `jndiName` - The jndi name
        `doLocking` - Do locking
      Returns:
        The result

    - #### getLargeUpdateCount

          public long getLargeUpdateCount()
                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setLargeMaxRows

          public void setLargeMaxRows(long max)
                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getLargeMaxRows

          public long getLargeMaxRows()
                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### executeLargeBatch

          public long[] executeLargeBatch()
                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### executeLargeUpdate

          public long executeLargeUpdate(java.lang.String sql)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### executeLargeUpdate

          public long executeLargeUpdate(java.lang.String sql,
                                         int autoGeneratedKeys)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### executeLargeUpdate

          public long executeLargeUpdate(java.lang.String sql,
                                         int[] columnIndexes)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### executeLargeUpdate

          public long executeLargeUpdate(java.lang.String sql,
                                         java.lang.String[] columnNames)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)